-- #101
CREATE TABLE mediagalleryattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    siteid               integer  not null
,    filepath             varchar(255)  not null
,    filename             varchar(255)  not null

,   constraint pk_mediagalleryattribute         primary key (objectid,attributeid)
,   constraint fk_mediagalleryattribute_site    foreign key (siteid)
        references site                             (siteid)
,   constraint fk_mediagalleryattribute_objec   foreign key (objectid)
        references object                           (objectid)
,   constraint fk_mediagalleryattribute_attri   foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_mediagallery_attribute ON mediagalleryattribute (attributeid)
GO

CREATE INDEX i_mediagallery_site ON mediagalleryattribute (siteid)
GO

