-- #502
CREATE TABLE referenceloop (
     referenceloopid      integer  not null AUTO_INCREMENT
,    objectid             integer  not null
,    attributeid          integer  null
,    position             integer  not null
,    referencedobjectid   integer  not null

,   constraint pk_referenceloop                 primary key (referenceloopid)
,   constraint fk_referenceloop_objectid        foreign key (objectid)
        references object                           (objectid)
,   constraint fk_referenceloop_referencedobjectid foreign key (referencedobjectid)
        references object                           (objectid)
,   constraint fk_referenceloop_attributeid     foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_referencedobject ON referenceloop (referencedobjectid)
GO

CREATE INDEX i_referenceloop_aid ON referenceloop (attributeid)
GO

CREATE UNIQUE INDEX u_object ON referenceloop (objectid, attributeid, position)
GO

