-- #703
CREATE TABLE sitelocalemap (
     siteid               integer  not null
,    localeid             varchar(5)  not null
,    position             integer  not null

,   constraint pk_sitelocalemap                 primary key (siteid,localeid)
,   constraint fk_sitelocalemap_siteid          foreign key (siteid)
        references site                             (siteid)
,   constraint fk_sitelocalemap_localeid        foreign key (localeid)
        references locale                           (localeid)
)
GO
CREATE INDEX i_sitelocalemap_localeid ON sitelocalemap (localeid)
GO

