-- #102
CREATE TABLE currency (
     currencyid           char(3)  not null
,    isused               bool  not null
,    numcode              integer  not null
,    name                 varchar(255)  not null
,    minorunit            integer  null
,    leadcurrencyid       char(3)  null
,    factor               decimal(20,10)  null
,    symbol               varchar(10)  null
,    posformat            varchar(10)  null
,    negformat            varchar(10)  null

,   constraint pk_currency                      primary key (currencyid)
,   constraint fk_currency_leadcurrencyid       foreign key (leadcurrencyid)
        references currency                         (currencyid)
)
GO
CREATE UNIQUE INDEX u_currency_numcode ON currency (numcode)
GO

CREATE INDEX i_currency_leadcurrency ON currency (leadcurrencyid)
GO

