-- #601
CREATE TABLE unitofmeasurement (
     unitid               integer  not null
,    type                 varchar(50)  not null
,    factor               decimal(30,10)  null
,    abbreviation         varchar(50)  null
,    code                 char(3)  null

,   constraint pk_unitofmeasurement             primary key (unitid)
,   constraint fk_unitofmeasurement_unitid      foreign key (unitid)
        references object                           (objectid)
)
GO
CREATE INDEX i_code ON unitofmeasurement (code)
GO

