-- #101
CREATE TABLE searchdefinition (
     searchdefinitionid   integer  not null
,    resultclassid        integer  not null
,    searchname           varchar(255)  not null
,    dbdriver             varchar(30)  not null
,    maxresults           integer  null

,   constraint pk_searchdefinition              primary key (searchdefinitionid)
,   constraint fk_searchdefinition_searchdefinitionid foreign key (searchdefinitionid)
        references object                           (objectid)
,   constraint fk_searchdefinition_resultclassid foreign key (resultclassid)
        references class                            (classid)
)
GO
CREATE UNIQUE INDEX u_search_class ON searchdefinition (resultclassid, searchname, dbdriver)
GO

