-- #102
CREATE TABLE searchfrom (
     searchfromid         integer  not null AUTO_INCREMENT
,    classid              integer  not null
,    tableshortcut        varchar(255)  not null
,    tablename            varchar(255)  not null
,    primarykey           varchar(30)  not null
,    ismaster             bool  not null
,    extension            varchar(255)  null

,   constraint pk_searchfrom                    primary key (searchfromid)
,   constraint fk_searchfrom_classid            foreign key (classid)
        references class                            (classid)
)
GO
CREATE UNIQUE INDEX u_searchfrom_class ON searchfrom (classid, tableshortcut)
GO

