-- #105
CREATE TABLE searchparameter (
     searchparameterid    integer  not null AUTO_INCREMENT
,    searchdefinitionid   integer  not null
,    position             integer  not null
,    parameter            varchar(255)  not null
,    columnname           varchar(30)  null
,    defaultvalue         varchar(255)  null
,    defaultoperator      varchar(30)  null
,    wherepart            longtext  null

,   constraint pk_searchparameter               primary key (searchparameterid)
,   constraint fk_searchparameter_searchdefinitionid foreign key (searchdefinitionid)
        references searchdefinition                 (searchdefinitionid)
)
GO
CREATE UNIQUE INDEX u_searchparameter ON searchparameter (searchdefinitionid, position)
GO

