-- #103
CREATE TABLE searchterm (
     searchtermid         integer  not null AUTO_INCREMENT
,    siteid               integer  not null
,    term                 varchar(40)  not null
,    countresults         integer  not null
,    countrequests        integer  not null

,   constraint pk_searchterm                    primary key (searchtermid)
,   constraint fk_searchterm_siteid             foreign key (siteid)
        references site                             (siteid)
)
GO
CREATE UNIQUE INDEX u_searchterm_site ON searchterm (siteid, term)
GO

